/* -*- Mode: C++ -*-
 * $Id: Skill.cc,v 1.4 2002/08/02 21:57:26 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Skill.cc
 * Unitname: Framework
 * $Revision: 1.4 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:57:26 $
 *
 *
 * HISTORY
 *
 * $Log: Skill.cc,v $
 * Revision 1.4  2002/08/02 21:57:26  s02davro
 * Added some documentation and todos.
 *
 * Revision 1.3  2001/08/23 00:32:04  frehe
 * Removed dependencies.
 *
 * Revision 1.2  2000/09/07 16:05:43  frehe
 * Remove an implementation of a non-existent copy-constructor.
 *
 * Revision 1.1  2000/09/03 22:08:47  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file Skill.cc
 * Implementation file for the class Skill.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.4 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:57:26 $
 */

#include "Skill.h"
#include "ViewManager.h"


RS_BEGIN_NAMESPACE

Skill::Skill()
  : viewManager(ViewManager::instance()) {
}

Skill::~Skill() {
}


RS_END_NAMESPACE
