/* -*- Mode: C++ -*-
 * $Id: ServerCommand.cc,v 1.5 2003/07/21 09:19:19 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ServerCommand.cc
 * Unitname: Library
 * $Revision: 1.5 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:19:19 $
 *
 *
 * HISTORY
 *
 * $Log: ServerCommand.cc,v $
 * Revision 1.5  2003/07/21 09:19:19  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.4  2000/09/09 11:49:55  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 * Revision 1.3  2000/09/01 11:43:03  frehe
 * Made minor changes in documentation.
 *
 * Revision 1.2  2000/09/01 01:24:46  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file ServerCommand.cc
 * Implementation of the class ServerCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.5 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:19 $
 */

#include "ServerCommand.h"

RS_BEGIN_NAMESPACE

ServerCommand::ServerCommand(const CommandType c_type)
  : Command(c_type) {}

ServerCommand::~ServerCommand() {}

RS_END_NAMESPACE
