#ifndef HISTORY_DEFAULT_H
#define HISTORY_DEFAULT_H

#include "basic_system_types.h"

RS_BEGIN_NAMESPACE

/** Represents the default number of steps stored in the history
  of views with history. */
static const UInt DEFAULT_HISTORY_LENGTH = 20;

/** Symbolic constant representing the previous step in the history. */
static const Int PREV = -1;
/** Symbolic constant representing the current step in the history. */
static const Int NOW  =  0;
/** Symbolic constant representing the next step in the history. */
static const Int NEXT =  1;

RS_END_NAMESPACE

#endif
