#ifndef INC_TrainerLexer_hpp_
#define INC_TrainerLexer_hpp_

#line 1 "trainer.g"

    // gets inserted before antlr generated includes in the header file

#line 9 "TrainerLexer.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.4: "trainer.g" -> "TrainerLexer.hpp"$ */
#include <antlr/CommonToken.hpp>
#include <antlr/InputBuffer.hpp>
#include <antlr/BitSet.hpp>
#include "TrainerTokenTypes.hpp"
#include <antlr/CharScanner.hpp>
#line 4 "trainer.g"

    // gets inserted after antlr generated includes in the header file
    // outside any generated namespace specifications
    
#include "TestCase.h"
#include "Scenario.h"

#line 25 "TrainerLexer.hpp"
ANTLR_BEGIN_NAMESPACE(RS)
#line 28 "trainer.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 31 "TrainerLexer.hpp"
class CUSTOM_API TrainerLexer : public antlr::CharScanner, public TrainerTokenTypes
{
#line 357 "trainer.g"

   // additional methods and members
#line 35 "TrainerLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const
	{
		return true;
	}
public:
	TrainerLexer(std::istream& in);
	TrainerLexer(antlr::InputBuffer& ib);
	TrainerLexer(const antlr::LexerSharedInputState& state);
	antlr::RefToken nextToken();
	public: void mLPAREN(bool _createToken);
	public: void mRPAREN(bool _createToken);
	public: void mLBRACK(bool _createToken);
	public: void mRBRACK(bool _createToken);
	public: void mLCURLY(bool _createToken);
	public: void mRCURLY(bool _createToken);
	public: void mLANGLE(bool _createToken);
	public: void mRANGLE(bool _createToken);
	public: void mCOLON(bool _createToken);
	public: void mCOMMA(bool _createToken);
	public: void mASSIGN(bool _createToken);
	public: void mAT(bool _createToken);
	public: void mMINUS(bool _createToken);
	public: void mSLASH(bool _createToken);
	public: void mSEMI(bool _createToken);
	public: void mWS(bool _createToken);
	public: void mSL_COMMENT(bool _createToken);
	public: void mML_COMMENT(bool _createToken);
	public: void mCHAR_LITERAL(bool _createToken);
	protected: void mESC(bool _createToken);
	public: void mSTRING_LITERAL(bool _createToken);
	protected: void mHEX_DIGIT(bool _createToken);
	protected: void mVOCAB(bool _createToken);
	public: void mIDENT(bool _createToken);
	public: void mNUM_INT(bool _createToken);
	protected: void mEXPONENT(bool _createToken);
	protected: void mFLOAT_SUFFIX(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const antlr::BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const antlr::BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const antlr::BitSet _tokenSet_2;
	static const unsigned long _tokenSet_3_data_[];
	static const antlr::BitSet _tokenSet_3;
	static const unsigned long _tokenSet_4_data_[];
	static const antlr::BitSet _tokenSet_4;
	static const unsigned long _tokenSet_5_data_[];
	static const antlr::BitSet _tokenSet_5;
	static const unsigned long _tokenSet_6_data_[];
	static const antlr::BitSet _tokenSet_6;
};

ANTLR_END_NAMESPACE
#endif /*INC_TrainerLexer_hpp_*/
