#ifndef INC_TrainerTokenTypes_hpp_
#define INC_TrainerTokenTypes_hpp_

ANTLR_BEGIN_NAMESPACE(RS)
/* $ANTLR 2.7.4: "trainer.g" -> "TrainerTokenTypes.hpp"$ */

#ifndef CUSTOM_API
# define CUSTOM_API
#endif

#ifdef __cplusplus
struct CUSTOM_API TrainerTokenTypes {
#endif
	enum {
		EOF_ = 1,
		LITERAL_TestCase = 4,
		LPAREN = 5,
		COMMA = 6,
		RPAREN = 7,
		LCURLY = 8,
		RCURLY = 9,
		LITERAL_OnlyAttackerScore = 10,
		LITERAL_AttackerGoalieScore = 11,
		LITERAL_AttackerDefendersGoalieScore = 12,
		LANGLE = 13,
		RANGLE = 14,
		LITERAL_AttackerDefendersDribble = 15,
		LITERAL_AttackersDefendersPass = 16,
		LITERAL_ThreeOnThree = 17,
		NUM_INT = 18,
		MINUS = 19,
		NUM_FLOAT = 20,
		LITERAL_true = 21,
		LITERAL_false = 22,
		STRING_LITERAL = 23,
		IDENT = 24,
		COLON = 25,
		LBRACK = 26,
		RBRACK = 27,
		ASSIGN = 28,
		AT = 29,
		SLASH = 30,
		SEMI = 31,
		WS = 32,
		SL_COMMENT = 33,
		ML_COMMENT = 34,
		CHAR_LITERAL = 35,
		ESC = 36,
		HEX_DIGIT = 37,
		VOCAB = 38,
		EXPONENT = 39,
		FLOAT_SUFFIX = 40,
		NULL_TREE_LOOKAHEAD = 3
	};
#ifdef __cplusplus
};
#endif
ANTLR_END_NAMESPACE
#endif /*INC_TrainerTokenTypes_hpp_*/
