/* -*- Mode: C++ -*-
 * $Id: CoachCommand.cc,v 1.2 2003/07/21 09:11:48 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachCommand.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-09-09
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:11:48 $
 *
 *
 * HISTORY
 *
 * $Log: CoachCommand.cc,v $
 * Revision 1.2  2003/07/21 09:11:48  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.1  2000/09/09 11:54:08  frehe
 * Added a new level in the command hieararchy, namely CoachCommand and PeriodicCommand.
 *
 */

/**
 * @file CoachCommand.cc
 * Implementation of the class CoachCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:11:48 $
 */

#include "CoachCommand.h"

RS_BEGIN_NAMESPACE

CoachCommand::CoachCommand(const CommandType c_type)
  : ImmediateCommand(c_type) {}

CoachCommand::~CoachCommand() {}

RS_END_NAMESPACE

