/* -*- Mode: C++ -*-
 * $Id: CoachOrTrainerCommand.cc,v 1.1 2003/07/21 08:29:13 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachOrTrainerCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-03
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:13 $
 *
 *
 * HISTORY
 *
 * $Log: CoachOrTrainerCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:13  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file CoachOrTrainerCommand.cc
 * Implementation of the class CoachOrTrainerCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:13 $
 */

#include "CoachOrTrainerCommand.h"

RS_BEGIN_NAMESPACE

CoachOrTrainerCommand::CoachOrTrainerCommand(const CommandType c_type)
  : ImmediateCommand(c_type) {}

CoachOrTrainerCommand::~CoachOrTrainerCommand() {}

RS_END_NAMESPACE

