/* -*- Mode: C++ -*-
 * $Id: TrainerCommand.cc,v 1.1 2003/07/21 08:29:16 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-09
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:16 $
 *
 *
 * HISTORY
 *
 * $Log: TrainerCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:16  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.1  2000/09/09 11:54:08  frehe
 * Added a new level in the command hieararchy, namely TrainerCommand and PeriodicCommand.
 *
 */

/**
 * @file TrainerCommand.cc
 * Implementation of the class TrainerCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:16 $
 */

#include "TrainerCommand.h"

RS_BEGIN_NAMESPACE

TrainerCommand::TrainerCommand(const CommandType c_type)
  : ImmediateCommand(c_type) {}

TrainerCommand::~TrainerCommand() {}

RS_END_NAMESPACE

